GetTransactionStatusCode
curl --request GET \
--url https://test.paysight.io/api/admin/statuses/{id} \
--header 'Authorization: <api-key>' \
--header 'ClientId: <clientid>' \
--header 'UserEmail: <useremail>'import requests
url = "https://test.paysight.io/api/admin/statuses/{id}"
headers = {
"ClientId": "<clientid>",
"UserEmail": "<useremail>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ClientId: '<clientid>', UserEmail: '<useremail>', Authorization: '<api-key>'}
};
fetch('https://test.paysight.io/api/admin/statuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"successful": true,
"isGatewayLevelStatus": true,
"isIssuerDecline": true,
"isInsufficientFunds": true,
"isInvalidCardDetails": true,
"isOther": true
}
}{
"success": false,
"error": "<string>",
"requestedId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}TransactionStatuses
GetTransactionStatusCode
Gets a specific transaction status code by ID
GET
/
api
/
admin
/
statuses
/
{id}
GetTransactionStatusCode
Authorizations
Your Paysight API key. You can find it in your Paysight account at https://app.paysight.io/settings/account
Headers
Your Paysight Tenant/Client Id. This is the id of the parent company listed in https://app.paysight.io/management/companies. Alternatively, this will be provided by Paysight
The email address of the party or group making the request
Path Parameters
Status code ID to retrieve
⌘I